#pragma once
#include "../game_object.h"
namespace engineapi {
	class Camera;
	class ActorMesh;
	class Scene{
	protected:
		Camera* mCamera;
		ActorMesh* actor1;
		ActorMesh* actor2;
	public:
		Scene();
		~Scene();

		void Update();
		void Render();
		void AddGameObject(GameObject* gameObject);
	};
}